# DataExchange
TKXSBase
IFGraph

# IFGraph_ExternalSources Class Reference

this class gives entities which are Source of entities of
a sub-part, but are not contained by this sub-part

`#include <IFGraph_ExternalSources.hxx>`

Inheritance diagram for IFGraph_ExternalSources:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IFGraph_ExternalSources (const Interface_Graph &agraph)
| creates empty ExternalSources, ready to work
Standard_EXPORT void | GetFromEntity (const Handle(Standard_Transient)&ent)
| adds an entity and its shared ones to the list
Standard_EXPORT void | GetFromIter (const Interface_EntityIterator &iter)
| adds a list of entities (as an iterator) with shared ones
Standard_EXPORT void | ResetData ()
| Allows to restart on a new data set .
virtual Standard_EXPORT void | Evaluate ()
| Evaluates external sources of a set of entities .
Standard_EXPORT Standard_Boolean | IsEmpty ()
| Returns True if no External Source are found It means that we have a "root" set (performs an Evaluation as necessary) .

## Private Attributes

Interface_Graph | thegraph

## Constructor & Destructor Documentation

Standard_EXPORT IFGraph_ExternalSources::IFGraph_ExternalSources | ( | const Interface_Graph & | agraph | ) |

## Member Function Documentation

virtual Standard_EXPORT void IFGraph_ExternalSources::Evaluate | ( |  | ) | `[virtual]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_ExternalSources::GetFromEntity | ( | const Handle(Standard_Transient)& | ent | ) |

Standard_EXPORT void IFGraph_ExternalSources::GetFromIter | ( | const Interface_EntityIterator & | iter | ) |

Standard_EXPORT Standard_Boolean IFGraph_ExternalSources::IsEmpty | ( |  | ) |

void IFGraph_ExternalSources::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_ExternalSources::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Interface_GraphContent.

void* IFGraph_ExternalSources::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Interface_GraphContent.

Standard_EXPORT void IFGraph_ExternalSources::ResetData | ( |  | ) |

## Field Documentation

Interface_Graph IFGraph_ExternalSources::thegraph `[private]`

The documentation for this class was generated from the following file:

- IFGraph_ExternalSources.hxx